﻿using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace Hotline.DataSharing.Province.Other
{
    /// <summary>
    /// 省12345待推送数据
    /// </summary>
    [Description("省12345待推送数据")]
    public class DsWaitingPushData : CreationEntity
    {
        /// <summary>
        /// 服务接口名称
        /// </summary>
        [SugarColumn(ColumnDescription = "服务接口名称", ColumnDataType = "varchar(30)")]
        public string ServiceInterface { get; set; }

        /// <summary>
        /// 推送数据
        /// </summary>
        [SugarColumn(ColumnDescription = "推送数据", ColumnDataType = "text")]
        public string Data { get; set; }

        /// <summary>
        /// 待同步数据ID
        /// </summary>
        [SugarColumn(ColumnDescription = "待同步数据ID", ColumnDataType = "varchar(50)")]
        public string SyncID { get; set; }

        /// <summary>
        /// 推送优先级
        /// </summary>
        [SugarColumn(ColumnDescription = "推送优先级")]
        public int Priority { get; set; } = 0;

        /// <summary>
        /// 推送地址
        /// </summary>
        [SugarColumn(ColumnDescription = "推送地址", ColumnDataType = "varchar(100)", IsNullable = true)]
        public string PushUrl { get; set; }

        /// <summary>
        /// 推送方式 post、get
        /// </summary>
        [SugarColumn(ColumnDescription = "推送方式 post、get", ColumnDataType = "varchar(10)", IsNullable = true)]
        public string Method { get; set; }
    }
}
