﻿using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace Hotline.DataSharing.Province.XieTong.Receive
{
    /// <summary>
    /// 服务工单退回反馈
    /// </summary>
    [Description("服务工单退回反馈")]
    public class DsGetCaseBackResult : CreationModificationEntity
    {
        /// <summary>
        /// 办理操作
        /// </summary>
        [SugarColumn(ColumnDescription = "办理操作", ColumnDataType = "varchar(10)")]
        public string BackType { get; set; }

        /// <summary>
        /// 办理单位
        /// </summary>
        [SugarColumn(ColumnDescription = "办理单位", ColumnDataType = "varchar(200)")]
        public string DealDept { get; set; }

        /// <summary>
        /// 办理人员
        /// </summary>
        [SugarColumn(ColumnDescription = "办理人员", ColumnDataType = "varchar(200)")]
        public string DealName { get; set; }

        /// <summary>
        /// 退回反馈时间
        /// </summary>
        [SugarColumn(ColumnDescription = "退回反馈时间")]
        public DateTime? ApplyTime { get; set; }

        /// <summary>
        /// 是否同意退回
        /// </summary>
        [SugarColumn(ColumnDescription = "是否同意退回")]
        public bool Result { get; set; }

        /// <summary>
        /// 退回原因
        /// </summary>
        [SugarColumn(ColumnDescription = "退回原因", ColumnDataType = "text")]
        public string BackReason { get; set; }

        /// <summary>
        /// 材料标识
        /// </summary>
        [SugarColumn(ColumnDescription = "材料标识", ColumnDataType = "varchar(50)")]
        public string CliengGuid { get; set; }

        /// <summary>
        /// 服务工单编号  
        /// </summary>
        [SugarColumn(ColumnDescription = "服务工单编号", ColumnDataType = "varchar(50)")]
        public string CaseSerial { get; set; }

        /// <summary>
        /// 行政区划代码
        /// </summary>
        [SugarColumn(ColumnDescription = "行政区划代码", ColumnDataType = "varchar(24)")]
        public string AreaCode { get; set; }

        /// <summary>
        /// 同步状态 0：待同步；	  1：同步成功；	 2：同步失败；
        /// </summary>
        [SugarColumn(ColumnDescription = "同步状态", ColumnDataType = "varchar(1)", IsNullable = true)]
        public string SyncState { get; set; } = "1";
    }
}
