﻿using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace Hotline.DataSharing.Province.XieTong.Receive
{
    /// <summary>
    /// 服务工单撤单
    /// </summary>
    [Description("服务工单撤单")]
    public class DsRevokeCaseInfo : CreationModificationEntity
    {
        /// <summary>
        /// 撤单时间
        /// </summary>
        [SugarColumn(ColumnDescription = "撤单时间")]
        public DateTime? RevokeTime { get; set; }

        /// <summary>
        /// 撤单类型
        /// </summary>
        [SugarColumn(ColumnDescription = "撤单类型", ColumnDataType = "varchar(24)")]
        public string RevokeType { get; set; }

        /// <summary>
        /// 操作人员
        /// </summary>
        [SugarColumn(ColumnDescription = "操作人员", ColumnDataType = "varchar(200)")]
        public string RevokeName { get; set; }

        /// <summary>
        /// 撤单理由
        /// </summary>
        [SugarColumn(ColumnDescription = "撤单理由", ColumnDataType = "text")]
        public string RevokeReasion { get; set; }

        /// <summary>
        /// 接口返回结果
        /// </summary>
        [SugarColumn(ColumnDataType = "json", IsJson = true, IsNullable = true)]
        public string ReturnResult { get; set; }

        /// <summary>
        ///推送方向 1：市州数据向省上推送；2：省上数据向市州推送；
        /// </summary>
        [SugarColumn(ColumnDescription = "推送方向 1：市州数据向省上推送；2：省上数据向市州推送；", ColumnDataType = "varchar(1)")]
        public string Direction { get; set; }

        /// <summary>
        /// 材料标识
        /// </summary>
        [SugarColumn(ColumnDescription = "材料标识", ColumnDataType = "varchar(50)")]
        public string CliengGuid { get; set; }

        /// <summary>
        /// 服务工单编号  
        /// </summary>
        [SugarColumn(ColumnDescription = "服务工单编号", ColumnDataType = "varchar(50)")]
        public string CaseSerial { get; set; }

        /// <summary>
        /// 行政区划代码
        /// </summary>
        [SugarColumn(ColumnDescription = "行政区划代码", ColumnDataType = "varchar(24)")]
        public string AreaCode { get; set; }

        /// <summary>
        /// 同步状态 0：待同步；	  1：同步成功；	 2：同步失败；
        /// </summary>
        [SugarColumn(ColumnDescription = "同步状态", ColumnDataType = "varchar(1)", IsNullable = true)]
        public string SyncState { get; set; } = "1";
    }
}
