﻿using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace Hotline.DataSharing.Province.XieTong.Receive
{
    /// <summary>
    /// 服务工单甄别结果
    /// </summary>
    [Description("服务工单甄别结果")]
    public class DsScreenCaseResultReceive : CreationModificationEntity
    {
        /// <summary>
        /// 审核结果是否通过
        /// </summary>
        [SugarColumn(ColumnDescription = "审核结果是否通过", ColumnDataType = "varchar(10)")]
        public string AuditResult { get; set; }

        /// <summary>
        /// 审核意见
        /// </summary>
        [SugarColumn(ColumnDescription = "审核意见", ColumnDataType = "text")]
        public string AuditOpinion { get; set; }

        /// <summary>
        /// 审核时间
        /// </summary>
        [SugarColumn(ColumnDescription = "审核时间")]
        public DateTime? AuditTime { get; set; }

        /// <summary>
        /// 审核部门
        /// </summary>
        [SugarColumn(ColumnDescription = "审核部门", ColumnDataType = "varchar(200)")]
        public string AuditOuname { get; set; }

        /// <summary>
        /// 审核人
        /// </summary>
        [SugarColumn(ColumnDescription = "审核人", ColumnDataType = "varchar(50)")]
        public string AuditPerson { get; set; }

        /// <summary>
        /// 材料标识
        /// </summary>
        [SugarColumn(ColumnDescription = "材料标识", ColumnDataType = "varchar(50)")]
        public string CliengGuid { get; set; }

        /// <summary>
        /// 服务工单编号  
        /// </summary>
        [SugarColumn(ColumnDescription = "服务工单编号", ColumnDataType = "varchar(50)")]
        public string CaseSerial { get; set; }

        /// <summary>
        /// 行政区划代码
        /// </summary>
        [SugarColumn(ColumnDescription = "行政区划代码", ColumnDataType = "varchar(24)")]
        public string AreaCode { get; set; }

        /// <summary>
        /// 同步状态 0：待同步；	  1：同步成功；	 2：同步失败；
        /// </summary>
        [SugarColumn(ColumnDescription = "同步状态", ColumnDataType = "varchar(1)", IsNullable = true)]
        public string SyncState { get; set; } = "1";
    }
}
